import React from 'react';
import Hero from './Hero';
import Footer from './Footer';

class BaseView extends React.Component {
  render() {
    return (
      <div className="App-header">
        <Hero text="A Heading" />
        {this.renderContent()}
        <Footer text="some footer text" />
      </div>
    );
  }

  renderContent() {
    return (
      <p style={{ color: 'pink' }}>
        Base content...
      </p>
    );
  }
}

export default BaseView;
